Returns the session metadata
curl --request GET \
--url https://{apiBaseUrl}/v2/{sessionId}/session/metadataconst url = 'https://{apiBaseUrl}/v2/{sessionId}/session/metadata';
const options = {method: 'GET'};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://{apiBaseUrl}/v2/{sessionId}/session/metadata"
response = requests.get(url)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{apiBaseUrl}/v2/{sessionId}/session/metadata",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://{apiBaseUrl}/v2/{sessionId}/session/metadata");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://{apiBaseUrl}/v2/{sessionId}/session/metadata")
.asString();{
"originalSearchCriteria": {
"stayPeriod": {
"arrivalDate": "2026-06-08T00:00:00Z",
"departureDate": "2026-06-13T00:00:00Z"
},
"guests": [
{
"adults": 2,
"children": 0,
"infants": 0,
"position": 1,
"memberLevel": 0
}
],
"selectedHotelId": "10133",
"selectedRoomCode": "29513",
"highlightedRateCode": "32643",
"promoCode": "DISCOUNT",
"excludeMixedRates": false,
"disableCrossSell": false,
"isMobile": false
},
"pendingBasketId": "8a48119f-8928-496b-a341-64db026baa35",
"quoteId": "00000000-0000-0000-0000-000000000000",
"customTrackingValues": {
"visitId": "visit-id",
"avp_campaign": "avp-campaign-id",
"trackingid": "trackingid"
},
"geonameId": 0,
"guestDetails": [],
"quoteServices": [],
"quotePaymentModes": [],
"editedExtras": [],
"crs": "Availpro",
"sessionDuration": "00:00:00"
}{
"code": "InvalidSessionId"
}{
"code": "InvalidUserAuthentication",
"message": "<string>"
}Session
Returns the session metadata
Returns the session metadata
GET
/
v2
/
{sessionId}
/
session
/
metadata
Returns the session metadata
curl --request GET \
--url https://{apiBaseUrl}/v2/{sessionId}/session/metadataconst url = 'https://{apiBaseUrl}/v2/{sessionId}/session/metadata';
const options = {method: 'GET'};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://{apiBaseUrl}/v2/{sessionId}/session/metadata"
response = requests.get(url)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{apiBaseUrl}/v2/{sessionId}/session/metadata",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://{apiBaseUrl}/v2/{sessionId}/session/metadata");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://{apiBaseUrl}/v2/{sessionId}/session/metadata")
.asString();{
"originalSearchCriteria": {
"stayPeriod": {
"arrivalDate": "2026-06-08T00:00:00Z",
"departureDate": "2026-06-13T00:00:00Z"
},
"guests": [
{
"adults": 2,
"children": 0,
"infants": 0,
"position": 1,
"memberLevel": 0
}
],
"selectedHotelId": "10133",
"selectedRoomCode": "29513",
"highlightedRateCode": "32643",
"promoCode": "DISCOUNT",
"excludeMixedRates": false,
"disableCrossSell": false,
"isMobile": false
},
"pendingBasketId": "8a48119f-8928-496b-a341-64db026baa35",
"quoteId": "00000000-0000-0000-0000-000000000000",
"customTrackingValues": {
"visitId": "visit-id",
"avp_campaign": "avp-campaign-id",
"trackingid": "trackingid"
},
"geonameId": 0,
"guestDetails": [],
"quoteServices": [],
"quotePaymentModes": [],
"editedExtras": [],
"crs": "Availpro",
"sessionDuration": "00:00:00"
}{
"code": "InvalidSessionId"
}{
"code": "InvalidUserAuthentication",
"message": "<string>"
}Headers
Path Parameters
Response
OK
This represent the parameters used to configure future call to the service. It represents more or less the data entered by the final customer.
Show child attributes
Show child attributes
Example:
{ "stayPeriod": { "arrivalDate": "2026-06-08T00:00:00Z", "departureDate": "2026-06-13T00:00:00Z" }, "guests": [ { "adults": 2, "children": 0, "infants": 0, "position": 1, "memberLevel": 0 } ], "selectedHotelId": "10133", "selectedRoomCode": "29513", "highlightedRateCode": "32643", "promoCode": "DISCOUNT", "excludeMixedRates": false, "disableCrossSell": false, "isMobile": false }
Example:
"00000000-0000-0000-0000-000000000000"
Example:
"00000000-0000-0000-0000-000000000000"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Ancillary service attached to a booking alongside rooms and extras.
- Insurance — Insurance subscribed during the booking flow.
- SmsConfirmation — SMS booking confirmation service.
- OfferCode — Private offer code granting access to hidden rates or discounted price.
- PublicOffer — Public promotional offer applied to the booking.
- CallOption — Booking placed as a call option - reserves the slot for a CRS-configured amount of time with a price penalty if the booking is not completed on time.
- AdditionalDiscount — Extra discount applied on top of the base price.
Available options:
Insurance, SmsConfirmation, OfferCode, PublicOffer, CallOption, AdditionalDiscount Show child attributes
Show child attributes
Central Reservation System that owns the underlying inventory and booking flow.
Available options:
Availpro Show child attributes
Show child attributes
Was this page helpful?